# Method: enterprises.structures.rooms.list

- [HTTP request](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.structures.rooms/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.structures.rooms/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.structures.rooms/list#body.request_body)
- [Response body](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.structures.rooms/list#body.response_body)
  - [JSON representation](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.structures.rooms/list#body.ListRoomsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.structures.rooms/list#body.aspect)
- [Examples](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.structures.rooms/list#examples)

Lists rooms managed by the enterprise.

### HTTP request

`GET https://smartdevicemanagement.googleapis.com/v1/{parent=enterprises/*/structures/*}/rooms`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent resource name of the rooms requested. For example: "enterprises/XYZ/structures/ABC". |

### Request body

The request body must be empty.

### Response body

Response message for SmartDeviceManagementService.ListRooms

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rooms": [ { object (`https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.structures.rooms#Room`) } ] } ``` |

| Fields ||
|---|---|
| `rooms[]` | ``object (`https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.structures.rooms#Room`)`` The list of rooms. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sdm.service`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).